Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03581 Crash/Freeze Minor Have not tried Dec 14, 2009, 03:55 Jan 29, 2010, 20:25
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP (64-bit)
Status [?] Resolved Driver segahang.cpp
Version 0.135u3 Fixed in Version 0.136u2 Build Debug
Summary 03581: shangonrb, shangonro: [debug] Access Violation
Description The message from shangonrb (function name is the same for both sets):

-----------------------------------------------------
Exception at EIP=014E4C12 (device_get_info_tms36xx+0x02f5): ACCESS VIOLATION
While attempting to read memory at 14F12000
-----------------------------------------------------
EAX=14F12000 EBX=22FD3080 ECX=FFFFFF30 EDX=00000100
ESI=0E401F91 EDI=014E4A70 EBP=0022FBA8 ESP=0022FB60
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.134u4
Affected Sets / Systems shangonrb, shangonro
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.05282
Firewave
Senior Tester
Dec 15, 2009, 17:42
Backtrace for shangonrb including stack crawl:
-----------------------------------------------------
Exception at EIP=014E4C12 (device_get_info_tms36xx+0x02f5): ACCESS VIOLATION
While attempting to read memory at 15782000
-----------------------------------------------------
EAX=15782000 EBX=23843080 ECX=FFFFFF30 EDX=00000100
ESI=0E451F91 EDI=014E4A70 EBP=0022FBA8 ESP=0022FB60
-----------------------------------------------------
Stack crawl:
exception-> 014E4C12 (device_get_info_tms36xx+0x02f5)
  0022FBAC: 00BCFD1F (stream_set_output_gain+0x05fc)
  0022FBEC: 00BCF264 (stream_update+0x0109)
  0022FC2C: 014E5011 (sega_pcm_r+0x0022)
  0022FC4C: 00B7901B (memory_dump+0x5d32)
  0022FC6C: 00B7AA38 (memory_read_byte_8le+0x0018)
  0022FC7C: 00DEFAD7 (mame_options_init+0x714d)
  0022FCBC: 00DFD48A
  0022FCDC: 00E003E3
  0022FD0C: 00B6D70D (cpuexec_timeslice+0x0468)
  0022FE1C: 00B561EB (mame_execute+0x029b)
  0022FE7C: 00DBF793 (cli_execute+0x01e3)
  0022FEEC: 00B077CB (utf8_main+0x00ea)
  0022FF1C: 0156213C (main+0x00ec)
  0022FF6C: 0040124B (__image_base__+0x124b)
  0022FFB4: 00401298 (mainCRTStartup+0x0018)